%define upstream_name    XML-Sablotron
%define upstream_version 1.01

Name:		perl-%{upstream_name}
Version:	%perl_convert_version %{upstream_version}
Release:	%mkrel 5
Summary:	Sablotron XSLT processor encapsulation
License:	MPL
Group:		Development/Perl
Url:		http://search.cpan.org/dist/%{upstream_name}
Source0:	http://www.cpan.org/modules/by-module/XML/%{upstream_name}-%{upstream_version}.tar.gz
Patch0:		build_with_perl514.patch

Requires:	libsablotron >= 0.95

BuildRequires:	libexpat-devel
BuildRequires:	libsablotron-devel >= 0.95
BuildRequires:	perl-devel 
#BuildRequires:	libjs-devel


%description
This package is a interface to the Sablotron API.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
%patch0 -p1 -b .perl514_sv_undef

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make OPTIMIZE="%{optflags}"

%check
%make test

%install
rm -rf %{buildroot}

%{makeinstall_std}

%clean 
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc Changes README META.yml
%{perl_vendorarch}/XML
%{perl_vendorarch}/auto/XML
%{_mandir}/*/*


%changelog

* Sun Jan 13 2013 umeabot <umeabot> 1.10.0-5.mga3
+ Revision: 375180
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed May 30 2012 jquelin <jquelin> 1.10.0-4.mga3
+ Revision: 251345
- rebuild for perl 5.16

* Wed Feb 22 2012 kharec <kharec> 1.10.0-3.mga2
+ Revision: 211889
- Remove BR on libjs-devel

* Sun Jun 12 2011 sander85 <sander85> 1.10.0-2.mga2
+ Revision: 105461
- fix build
- Rebuild for perl 5.14

* Sat Jan 22 2011 jquelin <jquelin> 1.10.0-1.mga1
+ Revision: 31496
- mageia rebuild
- imported package perl-XML-Sablotron

